Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.widgets
Class Combo

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.swt.widgets.Combo

All Implemented Interfaces:
  Drawable

public class Combo
extends Composite

Instances of this class are controls that allow the user to choose an item from a list of items, or optionally enter a new value by typing it into an editable text field. Often, `Combo`s are used in the same place where a single selection `List` widget could be used but space is limited. A `Combo` takes less space than a `List` widget and shows similar information.

Note: Since `Combo`s can contain both a list and an editable text field, it is possible to confuse methods which access one versus the other (compare for example, `clearSelection()` and `deselectAll()`). The API documentation is careful to indicate either "the receiver's list" or the "the receiver's text field" to distinguish between the two cases.

Note that although this class is a subclass of `Composite`, it does not make sense to add children to it, or set a layout on it.

Styles:
  DROP_DOWN, READ_ONLY, SIMPLE
Events:
  DefaultSelection, Modify, Selection

Note: Only one of the styles DROP_DOWN and SIMPLE may be specified.

IMPORTANT: This class is not intended to be subclassed.

See Also:
  `List`

Field Summary
`static int` | `LIMIT` the operating system limit for the number of characters that the text field in an instance of this class can hold

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`Combo(Composite parent, int style)` Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

Method Summary
`void` | `add(String string)` Adds the argument to the end of the receiver's list.
`void` | `add(String string, int index)` Adds the argument to the receiver's list at the given zero-relative index.
`void` | `addModifyListener(ModifyListener listener)` Adds the listener to the collection of listeners who will be notified when the receiver's text is modified, by sending it one of the messages defined in the `ModifyListener` interface.
`void` | `addSelectionListener(SelectionListener listener)` Adds the listener to the collection of listeners who will be notified when the receiver's selection changes, by sending it one of the messages defined in the `SelectionListener` interface.
`protected void` | `checkSubclass()` Checks that this class can be subclassed.
`void` | `clearSelection()` Sets the selection in the receiver's text field to an empty selection starting just before the first character.
`Point` | `computeSize(int wHint, int hHint, boolean changed)` Returns the preferred size of the receiver.
`void` | `copy()` Copies the selected text.
`void` | `cut()` Cuts the selected text.
`void` | `deselect(int index)` Deselects the item at the given zero-relative index in the receiver's list.
`void` | `deselectAll()` Deselects all selected items in the receiver's list.
`String` | `getItem(int index)` Returns the item at the given, zero-relative index in the receiver's list.
`int` | `getItemCount()` Returns the number of items contained in the receiver's list.
`int` | `getItemHeight()` Returns the height of the area which would be used to display one of the items in the receiver's list.
`String[]` | `getItems()` Returns an array of `String`s which are the items in the receiver's list.
`int` | `getOrientation()` Returns the orientation of the receiver.
`Point` | `getSelection()` Returns a `Point` whose x coordinate is the start of the selection in the receiver's text field, and whose y coordinate is the end of the selection.
`int` | `getSelectionIndex()` Returns the zero-relative index of the item which is currently selected in the receiver's list, or -1 if no item is selected.
`String` | `getText()` Returns a string containing a copy of the contents of the receiver's text field.
`int` | `getTextHeight()` Returns the height of the receivers's text field.
`int` | `getTextLimit()` Returns the maximum number of characters that the receiver's text field is capable of holding.
`int` | `getVisibleItemCount()` Gets the number of items that are visible in the drop down portion of the receiver's list.
`int` | `indexOf(String string)` Searches the receiver's list starting at the first item (index 0) until an item is found that is equal to the argument, and returns the index of that item.
`int` | `indexOf(String string, int start)` Searches the receiver's list starting at the given, zero-relative index until an item is found that is equal to the argument, and returns the index of that item.
`void` | `paste()` Pastes text from clipboard.
`void` | `remove(int index)` Removes the item from the receiver's list at the given zero-relative index.
`void` | `remove(int start, int end)` Removes the items from the receiver's list which are between the given zero-relative start and end indices (inclusive).
`void` | `remove(String string)` Searches the receiver's list starting at the first item until an item is found that is equal to the argument, and removes that item from the list.
`void` | `removeAll()` Removes all of the items from the receiver's list.
`void` | `removeModifyListener(ModifyListener listener)` Removes the listener from the collection of listeners who will be notified when the receiver's text is modified.
`void` | `removeSelectionListener(SelectionListener listener)` Removes the listener from the collection of listeners who will be notified when the receiver's selection changes.
`void` | `select(int index)` Selects the item at the given zero-relative index in the receiver's list.
`void` | `setItem(int index, String string)` Sets the text of the item in the receiver's list at the given zero-relative index to the string argument.
`void` | `setItems(String[] items)` Sets the receiver's list to be the given array of items.
`void` | `setOrientation(int orientation)` Sets the orientation of the receiver, which must be one of the constants `SWT.LEFT_TO_RIGHT` or `SWT.RIGHT_TO_LEFT`.
`void` | `setSelection(Point selection)` Sets the selection in the receiver's text field to the range specified by the argument whose x coordinate is the start of the selection and whose y coordinate is the end of the selection.
`void` | `setText(String string)` Sets the contents of the receiver's text field to the given string.
`void` | `setTextLimit(int limit)` Sets the maximum number of characters that the receiver's text field is capable of holding to be the argument.
`void` | `setVisibleItemCount(int count)` Sets the number of items that are visible in the drop down portion of the receiver's list.

Methods inherited from class org.eclipse.swt.widgets.Composite
`getChildren, getLayout, getTabList, layout, layout, setFocus, setLayout, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addFocusListener, addHelpListener, addKeyListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addPaintListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBorderWidth, getBounds, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removePaintListener, removeTraverseListener, setBackground, setBounds, setBounds, setCapture, setCursor, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LIMIT

    public static final int LIMIT

  the operating system limit for the number of characters that the text field in an instance of this class can hold

Constructor Detail

### Combo

    public Combo(Composite parent,
                 int style)

  Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

  The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

Parameters:
  `parent` - a composite control which will be the parent of the new instance (cannot be null)
  `style` - the style of control to construct
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  - ERROR_INVALID_SUBCLASS - if this class is not an allowed subclass
See Also:
  `SWT.DROP_DOWN`, `SWT.READ_ONLY`, `SWT.SIMPLE`, `Widget.checkSubclass()`, `Widget.getStyle()`

Method Detail

### add

    public void add(String string)

  Adds the argument to the end of the receiver's list.

  Parameters:
    `string` - the new item
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the string is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
    `SWTError` -
    - ERROR_ITEM_NOT_ADDED - if the operation fails because of an operating system failure
  See Also:
    `add(String,int)`

### add

    public void add(String string,
                    int index)

  Adds the argument to the receiver's list at the given zero-relative index.

  Note: To add an item at the end of the list, use the result of calling `getItemCount()` as the index or use `add(String)`.

  Parameters:
    `string` - the new item
    `index` - the index for the item
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the string is null
    - ERROR_INVALID_RANGE - if the index is not between 0 and the number of elements in the list (inclusive)
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
    `SWTError` -
    - ERROR_ITEM_NOT_ADDED - if the operation fails because of an operating system failure
  See Also:
    `add(String)`

### addModifyListener

    public void addModifyListener(ModifyListener listener)

  Adds the listener to the collection of listeners who will be notified when the receiver's text is modified, by sending it one of the messages defined in the `ModifyListener` interface.

  Parameters:
    `listener` - the listener which should be notified
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the listener is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `ModifyListener`, `removeModifyListener(org.eclipse.swt.events.ModifyListener)`

### addSelectionListener

    public void addSelectionListener(SelectionListener listener)

  Adds the listener to the collection of listeners who will be notified when the receiver's selection changes, by sending it one of the messages defined in the `SelectionListener` interface.

  `widgetSelected` is called when the combo's list selection changes. `widgetDefaultSelected` is typically called when ENTER is pressed the combo's text area.

  Parameters:
    `listener` - the listener which should be notified
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the listener is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `SelectionListener`, `removeSelectionListener(org.eclipse.swt.events.SelectionListener)`, `SelectionEvent`

### checkSubclass

    protected void checkSubclass()

  Description copied from class: `Widget`
  Checks that this class can be subclassed.

  The SWT class library is intended to be subclassed only at specific, controlled points (most notably, `Composite` and `Canvas` when implementing new widgets). This method enforces this rule unless it is overridden.

  IMPORTANT: By providing an implementation of this method that allows a subclass of a class which does not normally allow subclassing to be created, the implementer agrees to be fully responsible for the fact that any such subclass will likely fail between SWT releases and will be strongly platform specific. No support is provided for user-written classes which are implemented in this fashion.

  The ability to subclass outside of the allowed SWT classes is intended purely to enable those not on the SWT development team to implement patches in order to get around specific limitations in advance of when those limitations can be addressed by the team. Subclassing should not be attempted without an intimate and detailed understanding of the hierarchy.

  Overrides:
    `checkSubclass` in class `Composite`

### clearSelection

    public void clearSelection()

  Sets the selection in the receiver's text field to an empty selection starting just before the first character. If the text field is editable, this has the effect of placing the i-beam at the start of the text.

  Note: To clear the selected items in the receiver's list, use `deselectAll()`.

  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `deselectAll()`

### computeSize

    public Point computeSize(int wHint,
                             int hHint,
                             boolean changed)

  Description copied from class: `Control`
  Returns the preferred size of the receiver.

  The preferred size of a control is the size that it would best be displayed at. The width hint and height hint arguments allow the caller to ask a control questions such as "Given a particular width, how high does the control need to be to show all of the contents?" To indicate that the caller does not wish to constrain a particular dimension, the constant `SWT.DEFAULT` is passed for the hint.

  If the changed flag is `true`, it indicates that the receiver's contents have changed, therefore any caches that a layout manager containing the control may have been keeping need to be flushed. When the control is resized, the changed flag will be `false`, so layout manager caches can be retained.

  Overrides:
    `computeSize` in class `Composite`

### copy

    public void copy()

  Copies the selected text.

  The current selection is copied to the clipboard.

  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    2.1

### cut

    public void cut()

  Cuts the selected text.

  The current selection is first copied to the clipboard and then deleted from the widget.

  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    2.1

### deselect

    public void deselect(int index)

  Deselects the item at the given zero-relative index in the receiver's list. If the item at the index was already deselected, it remains deselected. Indices that are out of range are ignored.

  Parameters:
    `index` - the index of the item to deselect
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### deselectAll

    public void deselectAll()

  Deselects all selected items in the receiver's list.

  Note: To clear the selection in the receiver's text field, use `clearSelection()`.

  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `clearSelection()`

### getItem

    public String getItem(int index)

  Returns the item at the given, zero-relative index in the receiver's list. Throws an exception if the index is out of range.

  Parameters:
    `index` - the index of the item to return
  Returns:
    the item at the given index
  Throws:
    `IllegalArgumentException` -
    - ERROR_INVALID_RANGE - if the index is not between 0 and the number of elements in the list minus 1 (inclusive)
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
    `SWTError` -
    - ERROR_CANNOT_GET_ITEM - if the operation fails because of an operating system failure

### getItemCount

    public int getItemCount()

  Returns the number of items contained in the receiver's list.

  Returns:
    the number of items
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
    `SWTError` -
    - ERROR_CANNOT_GET_COUNT - if the operation fails because of an operating system failure

### getItemHeight

    public int getItemHeight()

  Returns the height of the area which would be used to display one of the items in the receiver's list.

  Returns:
    the height of one item
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
    `SWTError` -
    - ERROR_CANNOT_GET_ITEM_HEIGHT - if the operation fails because of an operating system failure

### getItems

    public String[] getItems()

  Returns an array of `String`s which are the items in the receiver's list.

  Note: This is not the actual structure used by the receiver to maintain its list of items, so modifying the array will not affect the receiver.

  Returns:
    the items in the receiver's list
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
    `SWTError` -
    - ERROR_CANNOT_GET_ITEM - if the operation fails because of an operating system failure

### getOrientation

    public int getOrientation()

  Returns the orientation of the receiver.

  Returns:
    the orientation style
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    2.1.2

### getSelection

    public Point getSelection()

  Returns a `Point` whose x coordinate is the start of the selection in the receiver's text field, and whose y coordinate is the end of the selection. The returned values are zero-relative. An "empty" selection as indicated by the the x and y coordinates having the same value.

  Returns:
    a point representing the selection start and end
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getSelectionIndex

    public int getSelectionIndex()

  Returns the zero-relative index of the item which is currently selected in the receiver's list, or -1 if no item is selected.

  Returns:
    the index of the selected item
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getText

    public String getText()

  Returns a string containing a copy of the contents of the receiver's text field.

  Returns:
    the receiver's text
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getTextHeight

    public int getTextHeight()

  Returns the height of the receivers's text field.

  Returns:
    the text height
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
    `SWTError` -
    - ERROR_CANNOT_GET_ITEM_HEIGHT - if the operation fails because of an operating system failure

### getTextLimit

    public int getTextLimit()

  Returns the maximum number of characters that the receiver's text field is capable of holding. If this has not been changed by `setTextLimit()`, it will be the constant `Combo.LIMIT`.

  Returns:
    the text limit
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getVisibleItemCount

    public int getVisibleItemCount()

  Gets the number of items that are visible in the drop down portion of the receiver's list.

  Returns:
    the number of items that are visible
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    3.0

### indexOf

    public int indexOf(String string)

  Searches the receiver's list starting at the first item (index 0) until an item is found that is equal to the argument, and returns the index of that item. If no item is found, returns -1.

  Parameters:
    `string` - the search item
  Returns:
    the index of the item
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the string is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### indexOf

    public int indexOf(String string,
                       int start)

  Searches the receiver's list starting at the given, zero-relative index until an item is found that is equal to the argument, and returns the index of that item. If no item is found or the starting index is out of range, returns -1.

  Parameters:
    `string` - the search item
    `start` - the zero-relative index at which to begin the search
  Returns:
    the index of the item
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the string is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### paste

    public void paste()

  Pastes text from clipboard.

  The selected text is deleted from the widget and new text inserted from the clipboard.

  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    2.1

### remove

    public void remove(int index)

  Removes the item from the receiver's list at the given zero-relative index.

  Parameters:
    `index` - the index for the item
  Throws:
    `IllegalArgumentException` -
    - ERROR_INVALID_RANGE - if the index is not between 0 and the number of elements in the list minus 1 (inclusive)
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
    `SWTError` -
    - ERROR_ITEM_NOT_REMOVED - if the operation fails because of an operating system failure

### remove

    public void remove(int start,
                       int end)

  Removes the items from the receiver's list which are between the given zero-relative start and end indices (inclusive).

  Parameters:
    `start` - the start of the range
    `end` - the end of the range
  Throws:
    `IllegalArgumentException` -
    - ERROR_INVALID_RANGE - if either the start or end are not between 0 and the number of elements in the list minus 1 (inclusive)
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
    `SWTError` -
    - ERROR_ITEM_NOT_REMOVED - if the operation fails because of an operating system failure

### remove

    public void remove(String string)

  Searches the receiver's list starting at the first item until an item is found that is equal to the argument, and removes that item from the list.

  Parameters:
    `string` - the item to remove
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the string is null
    - ERROR_INVALID_ARGUMENT - if the string is not found in the list
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
    `SWTError` -
    - ERROR_ITEM_NOT_REMOVED - if the operation fails because of an operating system failure

### removeAll

    public void removeAll()

  Removes all of the items from the receiver's list.

  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### removeModifyListener

    public void removeModifyListener(ModifyListener listener)

  Removes the listener from the collection of listeners who will be notified when the receiver's text is modified.

  Parameters:
    `listener` - the listener which should no longer be notified
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the listener is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `ModifyListener`, `addModifyListener(org.eclipse.swt.events.ModifyListener)`

### removeSelectionListener

    public void removeSelectionListener(SelectionListener listener)

  Removes the listener from the collection of listeners who will be notified when the receiver's selection changes.

  Parameters:
    `listener` - the listener which should no longer be notified
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the listener is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `SelectionListener`, `addSelectionListener(org.eclipse.swt.events.SelectionListener)`

### select

    public void select(int index)

  Selects the item at the given zero-relative index in the receiver's list. If the item at the index was already selected, it remains selected. Indices that are out of range are ignored.

  Parameters:
    `index` - the index of the item to select
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setItem

    public void setItem(int index,
                        String string)

  Sets the text of the item in the receiver's list at the given zero-relative index to the string argument. This is equivalent to `remove`'ing the old item at the index, and then `add`'ing the new item at that index.

  Parameters:
    `index` - the index for the item
    `string` - the new text for the item
  Throws:
    `IllegalArgumentException` -
    - ERROR_INVALID_RANGE - if the index is not between 0 and the number of elements in the list minus 1 (inclusive)
    - ERROR_NULL_ARGUMENT - if the string is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
    `SWTError` -
    - ERROR_ITEM_NOT_REMOVED - if the remove operation fails because of an operating system failure
    - ERROR_ITEM_NOT_ADDED - if the add operation fails because of an operating system failure

### setItems

    public void setItems(String[] items)

  Sets the receiver's list to be the given array of items.

  Parameters:
    `items` - the array of items
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the items array is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
    `SWTError` -
    - ERROR_ITEM_NOT_ADDED - if the operation fails because of an operating system failure

### setOrientation

    public void setOrientation(int orientation)

  Sets the orientation of the receiver, which must be one of the constants `SWT.LEFT_TO_RIGHT` or `SWT.RIGHT_TO_LEFT`.

  Parameters:
    `orientation` - new orientation style
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    2.1.2

### setSelection

    public void setSelection(Point selection)

  Sets the selection in the receiver's text field to the range specified by the argument whose x coordinate is the start of the selection and whose y coordinate is the end of the selection.

  Parameters:
    `selection` - a point representing the new selection start and end
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the point is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setText

    public void setText(String string)

  Sets the contents of the receiver's text field to the given string.

  Note: The text field in a `Combo` is typically only capable of displaying a single line of text. Thus, setting the text to a string containing line breaks or other special characters will probably cause it to display incorrectly.

  Parameters:
    `string` - the new text
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the string is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setTextLimit

    public void setTextLimit(int limit)

  Sets the maximum number of characters that the receiver's text field is capable of holding to be the argument.

  Parameters:
    `limit` - new text limit
  Throws:
    `IllegalArgumentException` -
    - ERROR_CANNOT_BE_ZERO - if the limit is zero
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setVisibleItemCount

    public void setVisibleItemCount(int count)

  Sets the number of items that are visible in the drop down portion of the receiver's list.

  Parameters:
    `count` - the new number of items to be visible
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.